#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
void proizvodcifara(ll n){
ll proizvod=1;
while(n>0){
    proizvod*=(n%10);
    n=n/10;
}
return proizvod;
}
int main()
{
    ll t;
    cin>>t;
    ll n;
    ll brojac=0;
    ll pamti=0;
    if(t==1){
        cin>>n;
        for(ll i=n; i>0; i--){
            if(proizvodcifara(i)!=pamti){
                brojac+=proizvodcifara(i);
            }
            pamti=proizvodcifara(i);
        }
        cout<<brojac<<endl;
    }
    else{
    while(t--){
        cin>>n;
        if(n<10){
          for(int i=1; i<10;i++){
            if(i==n){
                cout<<i<<endl;
                break;
            }
          }
        }
        else if(n>9 and n<25){
            cout<<10<<endl;
        }
        else{
        for(ll i=n; i>0; i--){
            if(proizvodcifara(i)!=pamti){
                brojac+=proizvodcifara(i);
            }
            pamti=proizvodcifara(i);
        }
        cout<<brojac<<endl;
        }



    }
    }
    return 0;
}